{ pkgs, config, lib, ... }:
{
  config = lib.mkIf config.frogeye.desktop.xorg {
    stylix.image = builtins.fetchurl {
      url = "https://get.wallhere.com/photo/sunlight-abstract-minimalism-green-simple-circle-light-leaf-wave-material-line-wing-computer-wallpaper-font-close-up-macro-photography-124350.png";
      sha256 = "sha256:1zfq3f3v34i45mi72pkfqphm8kbhczsg260xjfl6dbydy91d7y93";
    };
    # This correctly sets the background on some occasions, below does the rest
    programs.autorandr.hooks.postswitch = {
      background = "${pkgs.feh}/bin/feh --no-fehbg --bg-fill ${config.stylix.image}";
    };
  };
}
